import { is } from './is.js';
import { isNull, isUndefined, isNaN } from './types/primitive.js';
import { isClass, isFunction } from './types/std.js';
export * from './types/primitive.js';
export * from './types/std.js';
export * from './types/node.js';
export * from './types/external.js';
export { isInstanceOf } from './types/util.js';
export default is;
/**
 * @deprecated
 * @see {is.boolean}
 */
export declare const boolean: typeof import("./types/primitive.js").isBoolean;
/**
 * @deprecated
 * @see {is.number}
 */
export declare const number: typeof import("./types/primitive.js").isNumber;
/**
 * @deprecated
 * @see {is.string}
 */
export declare const string: typeof import("./types/primitive.js").isString;
/**
 * @deprecated
 * @see {is.symbol}
 */
export declare const symbol: typeof import("./types/primitive.js").isSymbol;
/**
 * @deprecated
 * @see {is.undefined}
 */
export { isUndefined as undefined };
/**
 * @deprecated
 * @see {is.null}
 */
export { isNull as null };
/**
 * @deprecated
 * @see {is.nullable}
 */
export declare const nullOrUndefined: typeof import("./types/primitive.js").isNullable;
/**
 * @deprecated
 * @see {is.bigInt}
 */
export declare const bigInt: typeof import("./types/primitive.js").isBigInt;
/**
 * @deprecated
 * @see {is.bigInt}
 */
export declare const bigint: typeof import("./types/primitive.js").isBigInt;
/**
 * @deprecated
 * @see {is.integer}
 */
export declare const int: typeof import("./types/primitive.js").isInteger;
/**
 * @deprecated
 * @see {is.integer32}
 */
export declare const int32: typeof import("./types/primitive.js").isInteger32;
/**
 * @deprecated
 * @see {is.long}
 */
export declare const long: typeof import("./types/primitive.js").isLong;
/**
 * @deprecated
 * @see {is.double}
 */
export declare const double: typeof import("./types/primitive.js").isDouble;
/**
 * @deprecated
 * @see {is.finite}
 */
export declare const finite: typeof import("./types/primitive.js").isFinite;
/**
 * @deprecated
 * @see {is.NaN}
 */
export { isNaN as NaN };
/**
 * @deprecated
 * @see {is.primitive}
 */
export declare const primitive: typeof import("./types/primitive.js").isPrimitive;
/**
 * @deprecated
 * @see {is.function}
 */
export { isFunction as function };
/**
 * @deprecated
 * @see {is.generatorFunction}
 */
export declare const generatorFunction: typeof import("./types/std.js").isGeneratorFunction;
/**
 * @deprecated
 * @see {is.asyncFunction}
 */
export declare const asyncFunction: typeof import("./types/std.js").isAsyncFunction;
/**
 * @deprecated
 * @see {is.class}
 */
export { isClass as class };
/**
 * @deprecated
 * @see {is.array}
 */
export declare const array: typeof import("./types/std.js").isArray;
/**
 * @deprecated
 * @see {is.object}
 */
export declare const object: typeof import("./types/std.js").isObject;
/**
 * @deprecated
 * @see {is.date}
 */
export declare const date: typeof import("./types/std.js").isDate;
/**
 * @deprecated
 * @see {is.error}
 */
export declare const error: typeof import("./types/std.js").isError;
/**
 * @deprecated
 * @see {is.regExp}
 */
export declare const regExp: typeof import("./types/std.js").isRegExp;
/**
 * @deprecated
 * @see {is.regExp}
 */
export declare const regexp: typeof import("./types/std.js").isRegExp;
/**
 * @deprecated
 * @see {is.generator}
 */
export declare const generator: typeof import("./types/std.js").isGenerator;
/**
 * @deprecated
 * @see {is.promiseLike}
 */
export declare const promise: typeof import("./types/std.js").isPromiseLike;
/**
 * @deprecated
 * @see {is.buffer}
 */
export declare const buffer: typeof import("./types/node.js").isBuffer;
/**
 * @deprecated
 * @see {is.stream}
 */
export declare const stream: typeof import("./types/node.js").isStream;
/**
 * @deprecated
 * @see {is.readable}
 */
export declare const readable: typeof import("./types/node.js").isReadable;
/**
 * @deprecated
 * @see {is.writable}
 */
export declare const writable: typeof import("./types/node.js").isWritable;
/**
 * @deprecated
 * @see {is.duplex}
 */
export declare const duplex: typeof import("./types/node.js").isDuplex;
/**
 * @deprecated
 * @see {is.longObject}
 */
export declare const Long: typeof import("./types/external.js").isLongObject;
